<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TRfeContentMapper">

<update id="updateById">
        UPDATE t_rfe_content
        SET
            deleted = '1'
        WHERE rfe_id = #{rfeId}
</update>

    <select id="selectByCode" resultType="cn.iocoder.yudao.module.knowledge.entity.TRfeContent">
        select
        *
        from t_rfe_content
        <if test="code !='' and code !=null">
            where rfe_id = #{code}
        </if>
        order by sort
    </select>

    <select id="selectByRfId" resultType="cn.iocoder.yudao.module.knowledge.entity.TRfeContent">
        select
        *
        from t_rfe_content
        where rfe_id = #{id}
    </select>
</mapper>

